Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 224586

Summary: Error in post uninstall script
Product: [Fedora] Fedora Reporter: Phil Knirsch <pknirsch>
Component: echo-icon-themeAssignee: David Zeuthen <davidz>
Status: CLOSED RAWHIDE QA Contact: diana fong <dfong>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: mclasen, rvokal
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-02-23 07:05:03 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 150225    

Description Phil Knirsch 2007-01-26 15:35:30 UTC
During an automated install/deinstall check the following error has happened:

ERROR: Output running post uninstall script for package
echo-icon-theme-0:0.1-6.fc7.noarch
No theme index file in '/usr/share/icons/Echo'.
If you really want to create an icon cache here, use --ignore-theme-index.

Adding --ignore-theme-index to the gtk-update-icon-cache should fix the problem.

postuninstall scriptlet (using /bin/sh):
touch --no-create /usr/share/icons/echo || :
/usr/bin/gtk-update-icon-cache --ignore-theme-index --quiet
/usr/share/icons/Echo || :

Comment 1 Matthias Clasen 2007-02-02 07:00:19 UTC
Adding --ignore-theme-index would be the wrong fix, though. 

When removing an icon theme, there is no need to update the icon cache for the
no longer existing theme directory...

Comment 2 Matthias Clasen 2007-02-23 06:57:20 UTC
Fixed in echo-icon-theme-0.2-20070223wiki.fc7